#! /bin/sh
#
# $Id: genhtml.sh,v 1.1 2004-04-26 09:20:46 pl Exp $

IMAGENAME="$1"

[ $IMAGENAME ] || { echo "ERROR: $0 imagename" ; exit 1; }

PNGNAME=`basename $IMAGENAME .tga`.png

cat <<EOF
<html>

<head>
	<title>Povray viewer</title>
	<meta http-equiv="Refresh" content="5">
	<meta http-equiv="Pragma" content="no-cache">
	<meta http-equiv="Cache-Control" content="no-cache">
</head>

<body>
	<center>
		<img src="$PNGNAME"><br>
	</center>
</body>

</html>
EOF


