<?php

$rID = rand();
print <<<EOF

<html>
	<head>
		<title>
			ComputeMode ray tracing demonstration
		</title>
		<link rel="StyleSheet" type="text/css" href="style.css">

	</head>

	<body>
		
		<h1>ComputeMode&trade; demonstration</h1>
		<img align="left" src="cmicon.gif">
		<p>This demonstration is based on the ComputeMode&trade; global computing system
		developed by Icatis. ComputeMode is a virtual Linux Cluster built upon
		idle intranet Windows PCs.</p>
		The demonstration will compute a given scene (mathematical description of a
		3-dimensional world). It will benefit from the parallelization on several
		PCs.</p>

		Several scenes are available, please select one to start rendering:
		<ul>
			<li><a href="render.php?POVFILE=chess2.pov&ID={$rID}">chess2.pov (285 s)</a></li>
			<li><a href="render.php?POVFILE=diffract.pov&ID={$rID}">diffract.pov (124 s)</a></li>
			<li><a href="render.php?POVFILE=float5.pov&ID={$rID}">float5.pov (104 s)</a></li>
			<li><a href="render.php?POVFILE=lamppost.pov&ID={$rID}">lamppost.pov (82 s)</a></li>
			<li><a href="render.php?POVFILE=mtmand.pov&ID={$rID}">mtmand.pov (110 s)</a></li>
			<li><a href="render.php?POVFILE=quilt1.pov&ID={$rID}">quilt1.pov(129 s)</a></li>
			<li><a href="render.php?POVFILE=skyvase.pov&ID={$rID}">skyvase.pov (131 s)</a></li>
			<li><a href="render.php?POVFILE=sombrero.pov&ID={$rID}">sombrero.pov (137 s)</a></li>
			<li><a href="render.php?POVFILE=sunsethf.pov&ID={$rID}">sunsethf.pov (131 s)</a></li>
			<li><a href="render.php?POVFILE=abyss.pov&ID={$rID}">abyss.pov (379 s)</a></li>
			<li><a href="render.php?POVFILE=stackergold.pov&ID={$rID}">stackergold.pov (120 s)</a></li>
		</ul>
		<hr>
	</body>
</html>
EOF;
?>
